## org.eclipse.uml2.uml.ecore.exporter
Class UMLExporter

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter
          org.eclipse.emf.exporter.ModelExporter
              org.eclipse.uml2.uml.ecore.exporter.UMLExporter

    public class UMLExporter

extends org.eclipse.emf.exporter.ModelExporter

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.exporter.ModelExporter
`org.eclipse.emf.exporter.ModelExporter.EPackageExportInfo, org.eclipse.emf.exporter.ModelExporter.ExportData, org.eclipse.emf.exporter.ModelExporter.GenPackagesTreeIterator, org.eclipse.emf.exporter.ModelExporter.ReferencedGenPackageExportInfo`

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ModelConverter
`org.eclipse.emf.converter.ModelConverter.EPackageConvertInfo, org.eclipse.emf.converter.ModelConverter.ReferencedEPackageFilter, org.eclipse.emf.converter.ModelConverter.ReferencedGenPackageConvertInfo`

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` `options`

Fields inherited from class org.eclipse.emf.exporter.ModelExporter
`directoryURI, ePackageToGenPackageMap, GENANNOTATION_KEY_DIRECTORY_URI, GENANNOTATION_SOURCE_PREFIX, GENANNOTATION_SOURCE_SELECTED_EPACKAGES, GENANNOTATION_SOURCE_SELECTED_REFERENCES, genBaseToDetailsMap, saveEPackageArtifactURI, saveExporter`

Fields inherited from class org.eclipse.emf.converter.ModelConverter
`ePackages, ePackageToInfoMap, externalGenModelList, externalGenModelResourceSet, genModel, referencedEPackageFilter, referencedEPackageFilterToConvert, referencedGenPackages, referencedGenPackageToInfoMap`

Constructor Summary
`UMLExporter()`

Method Summary
`protected java.lang.String` `doCheckEPackageArtifactLocation(java.lang.String location, java.lang.String packageName)`
`protected org.eclipse.emf.common.util.Diagnostic` `doExport(org.eclipse.emf.common.util.Monitor monitor, org.eclipse.emf.exporter.ModelExporter.ExportData exportData)`
`protected java.lang.String` `getDefaultArtifactLocation(org.eclipse.emf.ecore.EPackage ePackage)`
`java.lang.String` `getID()`
`java.util.Map<java.lang.String,java.lang.String>` `getOptions()`
`protected boolean` `isValidEPackage(org.eclipse.emf.codegen.ecore.genmodel.GenPackage genPackage)`
`protected boolean` `saveExporter()`
`void` `setGenModel(org.eclipse.emf.codegen.ecore.genmodel.GenModel genModel)`

Methods inherited from class org.eclipse.emf.exporter.ModelExporter

`adjustGenModel, canConvert, checkEPackageArtifactLocation, computeArtifactURI, createEncodedURI, createEPackageInfo, createEPackagesList, createGenPackageConvertInfo, createReferencedEPackageFilterToConvert, createReferencedGenPackagesList, dispose, export, getArtifactURIs, getConverterGenAnnotationSource, getDefaultArtifactFileName, getDirectoryURI, getEPackageExportInfo, getEPackageToGenPackageMap, getExporterGenAnnotationDetails, getExporterNestedGenAnnotationDetails, getExporterNestedGenAnnotations, getGenBaseToGenAnnotationDetailsMap, getReferencedGenPackageExportInfo, isSaveEPackageArtifactURI, isSaveExporter, isValidReferencedGenPackage, loadGenModel, printExportData, save, saveEPackageArtifactURI, setDirectoryURI, setDirectoryURI, setSaveEPackageArtifactURI, setSaveExporter, validateDirectoryURI`

Methods inherited from class org.eclipse.emf.converter.ModelConverter

`clearEPackageConvertInfoCache, clearEPackagesCollections, clearReferenceGenPackageConvertInfoCache, computeEPackagesToConvert, computeValidReferencedGenPackages, createExternalGenModelResourceSet, createReferencedEPackageFilter, createResourceSet, filterReferencedEPackages, filterReferencedEPackagesToConvert, getEPackageConvertInfo, getEPackages, getEPackageToInfoMap, getExternalGenModels, getGenModel, getGenmodelSaveOptions, getGenModelSaveOptions, getReferencedGenPackages, getReferencedGenPackageToInfoMap, getReferenceGenPackageConvertInfo, getReferredEPackage, makeEPackageConvertDataUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### options

    protected final java.util.Map<java.lang.String,java.lang.String> options

Constructor Detail

### UMLExporter

    public UMLExporter()

Method Detail

### getOptions

    public java.util.Map<java.lang.String,java.lang.String> getOptions()

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in class `org.eclipse.emf.converter.ModelConverter`

### getDefaultArtifactLocation

    protected java.lang.String getDefaultArtifactLocation(org.eclipse.emf.ecore.EPackage ePackage)

  Overrides:
    `getDefaultArtifactLocation` in class `org.eclipse.emf.exporter.ModelExporter`

### doCheckEPackageArtifactLocation

    protected java.lang.String doCheckEPackageArtifactLocation(java.lang.String location,
                                                               java.lang.String packageName)

  Overrides:
    `doCheckEPackageArtifactLocation` in class `org.eclipse.emf.exporter.ModelExporter`

### doExport

    protected org.eclipse.emf.common.util.Diagnostic doExport(org.eclipse.emf.common.util.Monitor monitor,
                                                              org.eclipse.emf.exporter.ModelExporter.ExportData exportData)
                                                       throws java.lang.Exception

  Overrides:
    `doExport` in class `org.eclipse.emf.exporter.ModelExporter`
  Throws:
    `java.lang.Exception`

### isValidEPackage

    protected boolean isValidEPackage(org.eclipse.emf.codegen.ecore.genmodel.GenPackage genPackage)

  Overrides:
    `isValidEPackage` in class `org.eclipse.emf.exporter.ModelExporter`

### setGenModel

    public void setGenModel(org.eclipse.emf.codegen.ecore.genmodel.GenModel genModel)
                     throws org.eclipse.emf.common.util.DiagnosticException

  Overrides:
    `setGenModel` in class `org.eclipse.emf.exporter.ModelExporter`
  Throws:
    `org.eclipse.emf.common.util.DiagnosticException`

### saveExporter

    protected boolean saveExporter()

  Overrides:
    `saveExporter` in class `org.eclipse.emf.exporter.ModelExporter`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.